<?php




// Identify the theme for all functions

	$themename = "WP Herald Theme";
	$shortname = "mediafap";




// Create the initial theme options function

function mytheme_add_admin() {
	global $themename, $shortname, $options;
	$optionvar = array();
		if ( isset($_GET['page']) && $_GET['page'] == basename(__FILE__) )  {
			if ( isset($_REQUEST['action']) && 'save' == $_REQUEST['action'] ) {
				foreach ($options as $value) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
					foreach ($options as $value) {
						if( isset( $_REQUEST[ $value['id'] ] ) ) {
							$optionvar[$value['id']] = $_REQUEST[ $value['id']];
						} else {
							$optionvar[$value['id']] = null;
						}
					}
				update_option( $shortname."_options", $optionvar  );
				header("Location: themes.php?page=functions.php&saved=true");
				die;
			} else if( isset($_REQUEST['action']) && 'reset' == $_REQUEST['action'] ) {
				foreach ($options as $value) {
					delete_option( $value['id'] ); }
				header("Location: themes.php?page=functions.php&reset=true");
				die;
			}
		}
	add_theme_page("Options", "Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}




// Create title length control functions

function trim_title_shorter() {
	$title = get_the_title();
	$limit = "26";
	$pad=" ...";
	if(strlen($title) <= $limit) {
		echo $title;
	} else {
		$title = substr($title, 0, $limit) . $pad;
	echo $title;
	}
} 
function trim_title_short() {
	$title = get_the_title();
	$limit = "30";
	$pad=" ...";
	if(strlen($title) <= $limit) {
		echo $title;
	} else {
		$title = substr($title, 0, $limit) . $pad;
	echo $title;
	}
}
function trim_title_moderate() {
	$title = get_the_title();
	$limit = "42";
	$pad=" ...";
	if(strlen($title) <= $limit) {
		echo $title;
	} else {
		$title = substr($title, 0, $limit) . $pad;
	echo $title;
	}
}
function trim_title_long() {
	$title = get_the_title();
	$limit = "66";
	$pad=" ...";
	if(strlen($title) <= $limit) {
		echo $title;
	} else {
		$title = substr($title, 0, $limit) . $pad;
	echo $title;
	}
}




// Create excerpt length control functions

function wpe_excerptlength_longest($length) {
	return 46;
}
function wpe_excerptlength_longer($length) {
	return 38;
}
function wpe_excerptlength_long($length) {
	return 34;
}
function wpe_excerptlength_moderate($length) {
	return 26;
}
function wpe_excerptlength_short($length) {
	return 14;
}
function wpe_excerptlength_shorter($length) {
	return 10;
}
function wpe_excerptlength_shortest($length) {
	return 8;
}

function wpe_excerptmore($more) {
	return ' ... ';
}
function wpe_excerpt($length_callback='', $more_callback='') {
	global $post;
	if(function_exists($length_callback)){
		add_filter('excerpt_length', $length_callback);
	}
	if(function_exists($more_callback)){
		add_filter('excerpt_more', $more_callback);
	}
	$output = get_the_excerpt();
	$output = apply_filters('wptexturize', $output);
	$output = apply_filters('convert_chars', $output);
	$output = $output;
	echo $output;
}




// Strip title from Cat List

function ft_rtt_remove_title_attribute( $output ){
$output = preg_replace('/title=\"(.*?)\"/','',$output);
return $output;
}
add_filter('wp_list_categories','ft_rtt_remove_title_attribute');
add_filter('wp_list_pages','ft_rtt_remove_title_attribute');




// Customise Tag Widget

function custom_tag_cloud_widget($args) {
	$args['number'] = 15; 
	$args['largest'] = 12; 
	$args['smallest'] = 12; 
	$args['unit'] = 'px'; 
	return $args;
}
add_filter( 'widget_tag_cloud_args', 'custom_tag_cloud_widget' );

	



// Include all related asset files for theme options

	function mytheme_add_init() {
		global $shortname;
		$file_dir=get_template_directory_uri();
		wp_enqueue_style("theme_functions", $file_dir."/options.css", false, "1.0", "all");
	 	wp_enqueue_script("rm_script", $file_dir."/js/rm_script.js", false, "1.0");
}




// Create the save & delete buttons for theme options

	function mytheme_admin() {
	global $themename, $shortname, $options;
		$i=0;
	if ( isset($_REQUEST['saved']) &&  $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Options Saved.</strong></p></div>';
	if ( isset($_REQUEST['reset']) &&  $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>Options Reset.</strong></p></div>';
	
	

	
// Build the theme options input fields

?>
<div class="wrap rm_wrap">
<div id="icon-themes" class="icon32"><br /></div><h2><?php _e( 'Theme Options', 'mediafap' ); ?></h2>
<div style="padding: 0px 0px 10px 0px;"></div>
	<div class="rm_opts">
		<form method="post">
			<?php foreach ($options as $value) {
				switch ( $value['type'] ) {
				case "open":
			?>
		<?php break;
			case "close":
		?>
	</div>
</div>
<div style="margin-bottom: 1px;"></div>
<?php break;
	case "title":
?>
<?php break;
	case 'text':
?>
<div class="rm_input rm_text">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'])  ); } else { echo $value['std']; } ?>" />
	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
</div>
<?php
	break;
	case 'textarea':
?>
<div class="rm_input rm_textarea">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo $value['std']; } ?></textarea>
	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
</div>
<?php
	break;
	case 'select':
?>
<div class="rm_input rm_select">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
		<?php foreach ($value['options'] as $option) { ?>
		<option <?php if (get_option( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>
	</select>
	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
</div>
<?php
	break;
	case "checkbox":
?>
<div class="rm_input rm_checkbox">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
	<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
</div>
<?php break; 
	case "section":
	$i++;
?>
<div class="rm_section">
	<div class="rm_title">
		<h3><?php echo $value['name']; ?></h3>
		<span class="submit"><input name="save<?php echo $i; ?>" class="button button-primary" type="submit" value="Save Options" /></span>
		<div class="clearfix"></div>
	</div>
	<div class="rm_options">
		<?php break;
				}
			}
		?>
		<input type="hidden" name="action" value="save" />
</form>
</div>
<?php
}
?>
<?php
add_action('admin_init', 'mytheme_add_init');
add_action('admin_menu', 'mytheme_add_admin');
?>
<?php




// Load all necessary javascript files for the theme
	
function my_scripts_method() {
	
		$crawler= get_template_directory_uri() . "/js/crawler.js";
		wp_deregister_script( 'crawler' );
		wp_register_script( 'crawler', $crawler);
		wp_enqueue_script( 'crawler');
	
		$jquerytools= get_template_directory_uri() . "/js/jquery.tools.min.js";
		wp_deregister_script( 'jquerytools' );
		wp_register_script( 'jquerytools', $jquerytools);
		wp_enqueue_script( 'jquerytools');
		
		$opacity= get_template_directory_uri() . "/js/opacity.js";
		wp_deregister_script( 'opacity' );
		wp_register_script( 'opacity', $opacity);
		wp_enqueue_script( 'opacity');
		
		$tooltip= get_template_directory_uri() . "/js/tooltip.js";
		wp_deregister_script( 'tooltip' );
		wp_register_script( 'tooltip', $tooltip);
		wp_enqueue_script( 'tooltip');
		
		$backtotop= get_template_directory_uri() . "/js/backtotop.js";
		wp_deregister_script( 'backtotop' );
		wp_register_script( 'backtotop', $backtotop);
		wp_enqueue_script( 'backtotop');

}
add_action('wp_enqueue_scripts', 'my_scripts_method');




// Load all javascript files for use by the logo uploader only
	
	function customlogo_options_enqueue_scripts() {
	
		wp_register_script( 'customlogo-upload', get_template_directory_uri() .'/js/logo.js', array('jquery','media-upload','thickbox') );	

		if ( 'appearance_page_customlogo-settings' == get_current_screen() -> id ) {
			wp_enqueue_script('jquery');
			wp_enqueue_script('thickbox');
			wp_enqueue_style('thickbox');
			wp_enqueue_script('media-upload');
			wp_enqueue_script('customlogo-upload');
		}
	}
	add_action('admin_enqueue_scripts', 'customlogo_options_enqueue_scripts');
	
	
	
	
// Build the logo uploader

function customlogo_get_default_options() {
	$options = array(
		'logo' => ''
	);
	return $options;
}

function customlogo_options_init() {
     $customlogo_options = get_option( 'theme_customlogo_options' );
	 
     if ( false === $customlogo_options ) {
          $customlogo_options = customlogo_get_default_options();
		  add_option( 'theme_customlogo_options', $customlogo_options );
     }
}

add_action( 'after_setup_theme', 'customlogo_options_init' );

function customlogo_options_setup() {
	global $pagenow;
	if ('media-upload.php' == $pagenow || 'async-upload.php' == $pagenow) {
		add_filter( 'gettext', 'replace_thickbox_text' , 1, 2 );
	}
}
add_action( 'admin_init', 'customlogo_options_setup' );

function replace_thickbox_text($translated_text, $text ) {	
	if ( 'Insert into Post' == $text ) {
		$referer = strpos( wp_get_referer(), 'customlogo-settings' );
		if ( $referer != '' ) {
			return __('Use as Logo', 'customlogo' );
		}
	}

	return $translated_text;
}

function customlogo_menu_options() {
     add_theme_page('Logo', 'Logo', 'edit_theme_options', 'customlogo-settings', 'customlogo_admin_options_page');
}

add_action('admin_menu', 'customlogo_menu_options');

function customlogo_admin_options_page() {
?>
<div class="wrap">
	<div id="icon-themes" class="icon32"><br /></div>
	<h2><?php _e( 'Custom Logo', 'mediafap' ); ?></h2>
	<?php settings_errors( 'customlogo-settings-errors' ); ?>
	<form id="form-customlogo-options" action="options.php" method="post" enctype="multipart/form-data">
		<?php
			settings_fields('theme_customlogo_options');
			do_settings_sections('customlogo');
		?>
		<p class="submit">
			<input name="theme_customlogo_options[submit]" id="submit_options_form" type="submit" class="button-primary" value="<?php esc_attr_e('Save Settings', 'mediafap'); ?>" />
			<input name="theme_customlogo_options[reset]" type="submit" class="button-secondary" value="<?php esc_attr_e('Reset Defaults', 'mediafap'); ?>" />		
		</p>
	</form>
</div>
<?php
}

function customlogo_options_validate( $input ) {
	$default_options = customlogo_get_default_options();
	$valid_input = $default_options;
	
	$customlogo_options = get_option('theme_customlogo_options');
	
	$submit = ! empty($input['submit']) ? true : false;
	$reset = ! empty($input['reset']) ? true : false;
	$delete_logo = ! empty($input['delete_logo']) ? true : false;
	
	if ( $submit ) {
		if ( $customlogo_options['logo'] != $input['logo']  && $customlogo_options['logo'] != '' )
			delete_image( $customlogo_options['logo'] );
		
		$valid_input['logo'] = $input['logo'];
	}
	elseif ( $reset ) {
		delete_image( $customlogo_options['logo'] );
		$valid_input['logo'] = $default_options['logo'];
	}
	elseif ( $delete_logo ) {
		delete_image( $customlogo_options['logo'] );
		$valid_input['logo'] = '';
	}
	
	return $valid_input;
}

function delete_image( $image_url ) {
	global $wpdb;
	
	$query = "SELECT ID FROM wp_posts where guid = '" . esc_url($image_url) . "' AND post_type = 'attachment'";  
	$results = $wpdb -> get_results($query);

	foreach ( $results as $row ) {
		wp_delete_attachment( $row -> ID );
	}	
}

function customlogo_options_settings_init() {
	register_setting( 'theme_customlogo_options', 'theme_customlogo_options', 'customlogo_options_validate' );
	add_settings_section('customlogo_settings_header', __( 'Logo Options', 'customlogo' ), 'customlogo_settings_header_text', 'customlogo');
	add_settings_field('customlogo_setting_logo',  __( 'Logo', 'customlogo' ), 'customlogo_setting_logo', 'customlogo', 'customlogo_settings_header');
	add_settings_field('customlogo_setting_logo_preview',  __( 'Logo Preview', 'customlogo' ), 'customlogo_setting_logo_preview', 'customlogo', 'customlogo_settings_header');
}
add_action( 'admin_init', 'customlogo_options_settings_init' );

function customlogo_setting_logo_preview() {
	$customlogo_options = get_option( 'theme_customlogo_options' );  ?>
	<div id="upload_logo_preview" style="min-height: 100px;">
		<img style="max-width:100%;" src="<?php echo esc_url( $customlogo_options['logo'] ); ?>" />
	</div>
	<?php
}

function customlogo_settings_header_text() {
	?>
		<p><?php _e( 'You can upload any custom image to use as your logo.', 'mediafap' ); ?></p>
        <p><b><?php _e( '620px maximum width.', 'mediafap' ); ?></b></p>
	<?php
}

function customlogo_setting_logo() {
	$customlogo_options = get_option( 'theme_customlogo_options' );
	?>
		<input type="hidden" id="logo_url" name="theme_customlogo_options[logo]" value="<?php echo esc_url( $customlogo_options['logo'] ); ?>" />
		<input id="upload_logo_button" type="button" class="button" value="<?php _e( 'Upload Logo', 'mediafap' ); ?>" />
		<?php if ( '' != $customlogo_options['logo'] ): ?>
			<input id="delete_logo_button" name="theme_customlogo_options[delete_logo]" type="submit" class="button" value="<?php _e( 'Delete Logo', 'mediafap' ); ?>" />
		<?php endif; ?>
	<?php
}




// Add Twitter to User Profile

add_action( 'show_user_profile', 'my_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );
function my_show_extra_profile_fields( $user ) { ?>
	<h3><?php _e('Extra Profile Information', 'mediafap'); ?></h3>
	<table class="form-table">
		<tr>
			<th><label for="twitter"><?php _e('Connect Twitter', 'mediafap'); ?></label></th>
			<td>
				<input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description"><?php _e('Please enter your Twitter username', 'mediafap'); ?></span>
			</td>
		</tr>
	</table>
	<?php }
		add_action( 'personal_options_update', 'my_save_extra_profile_fields' );
		add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );
		function my_save_extra_profile_fields( $user_id ) {
			if ( !current_user_can( 'edit_user', $user_id ) )
			return false;
			update_user_meta( $user_id, 'twitter', $_POST['twitter'] );
		}
		function authortwitter () { ?>
			<br />
			<?php global $user_ID; if ( get_the_author_meta('twitter',$user_ID) ) ?><img src="<?php echo get_template_directory_uri(); ?>/images/mediafap_twitter.png" alt="twitterfeed" class="twitter" /><a href="http://twitter.com/<?php the_author_meta( 'twitter' ); ?>" target="_blank" title="<?php _e('Follow me on Twitter', 'mediafap'); ?>">@<?php the_author_meta( 'twitter' ); ?></a>
<?php }





// Create XHTML	Language Attributes

function create_valid_xhtml_1_1($language_attributes) 
{
	return preg_replace('/ lang=\"[a-z]+\-[A-Z]+\"/', '', $language_attributes);
}
add_filter('language_attributes', 'create_valid_xhtml_1_1');




// Create language textdomain

add_action('after_setup_theme', 'int_setup');
function int_setup(){
    load_theme_textdomain('mediafap', get_template_directory() . '/lang');
}




// Include default Wordpress features

add_editor_style('editor.css');
add_theme_support( 'automatic-feed-links' );
if ( ! isset( $content_width ) ) $content_width = 1210;




// Add custom background function

add_theme_support( 'custom-background' );




// Register Wordpress menu function

add_theme_support( 'menus' );
register_nav_menus( array(
	'top_menu' => 'Top Menu',
	'main_menu' => 'Main Menu'
) );




// Load all necessary stylesheets

function style_basecolor()
{
	wp_register_style( 'default', get_template_directory_uri() . '/style.css', array(), '20120917', 'all' );
	if ( get_option( 'mediafap_style_basecolor' ) == "Blue") {
		wp_register_style( 'basecolor_blue', get_template_directory_uri() . '/styles/blue.css', array(), '20120917', 'all' );
	} else {
		if ( get_option( 'mediafap_style_basecolor' ) == "Red") {
			wp_register_style( 'basecolor_red', get_template_directory_uri() . '/styles/red.css', array(), '20120917', 'all' );
		} else {
			if ( get_option( 'mediafap_style_basecolor' ) == "Green") {
				wp_register_style( 'basecolor_green', get_template_directory_uri() . '/styles/green.css', array(), '20120917', 'all' );
			} else {
				if ( get_option( 'mediafap_style_basecolor' ) == "Dark Green") {
					wp_register_style( 'basecolor_greendark', get_template_directory_uri() . '/styles/green_dark.css', array(), '20120917', 'all' );
				} else {
					if ( get_option( 'mediafap_style_basecolor' ) == "Dark Red") {
						wp_register_style( 'basecolor_reddark', get_template_directory_uri() . '/styles/red_dark.css', array(), '20120917', 'all' );
					} else {
						if ( get_option( 'mediafap_style_basecolor' ) == "Dark Blue") {
							wp_register_style( 'basecolor_bluedark', get_template_directory_uri() . '/styles/blue_dark.css', array(), '20120917', 'all' );
						} else {
						}
					}
				}
			}
		}
	}
	wp_enqueue_style( 'default' );
	wp_enqueue_style( 'basecolor_blue' );
	wp_enqueue_style( 'basecolor_red' );
	wp_enqueue_style( 'basecolor_green' );
	wp_enqueue_style( 'basecolor_greendark' );
	wp_enqueue_style( 'basecolor_reddark' );
	wp_enqueue_style( 'basecolor_bluedark' );
}
add_action( 'wp_enqueue_scripts', 'style_basecolor' );




// Register all the fonts

 function themefonts()
 {
 	wp_register_style( 'googlefonts', 'http://fonts.googleapis.com/css?family=Condiment|Yellowtail|Crushed|Mr+Bedfort|Niconne|Sail|Simonetta|Contrail+One|Allura|Arizonia|Norican|UnifrakturMaguntia|Germania+One|Changa+One|Pirata+One|Ubuntu:400,700|Roboto:400,700|Cinzel+Decorative:400,700|UnifrakturCook:700|Rosario:400,700|Quattrocento:400,700|Aldrich:400,700|Actor:400,700|Metrophobic:400,700|Lily+Script+One|Great+Vibes|Lobster|Playball', array(), '20120917', 'all' );
	if ( get_option( 'mediafap_selectfontheadings' ) == "Arial") {
		wp_register_style( 'arial', get_template_directory_uri() . '/fonts/arial.css', array(), '20120917', 'all' );
	} else {
		if ( get_option( 'mediafap_selectfontheadings' ) == "Trebuchet") {
			wp_register_style( 'trebuchet', get_template_directory_uri() . '/fonts/trebuchet.css', array(), '20120917', 'all' );
		} else {
			if ( get_option( 'mediafap_selectfontheadings' ) == "Ubuntu") {
				wp_register_style( 'ubuntu', get_template_directory_uri() . '/fonts/ubuntu.css', array(), '20120917', 'all' );
			} else {
				if ( get_option( 'mediafap_selectfontheadings' ) == "Roboto") {
					wp_register_style( 'roboto', get_template_directory_uri() . '/fonts/roboto.css', array(), '20120917', 'all' );
				} else {
					if ( get_option( 'mediafap_selectfontheadings' ) == "Rosario") {
						wp_register_style( 'rosario', get_template_directory_uri() . '/fonts/rosario.css', array(), '20120917', 'all' );
					} else {
						if ( get_option( 'mediafap_selectfontheadings' ) == "Quattrocento") {
							wp_register_style( 'quattrocento', get_template_directory_uri() . '/fonts/quattrocento.css', array(), '20120917', 'all' );
						} else {
							if ( get_option( 'mediafap_selectfontheadings' ) == "Aldrich") {
								wp_register_style( 'aldrich', get_template_directory_uri() . '/fonts/aldrich.css', array(), '20120917', 'all' );
							} else {
								if ( get_option( 'mediafap_selectfontheadings' ) == "Actor") {
									wp_register_style( 'actor', get_template_directory_uri() . '/fonts/actor.css', array(), '20120917', 'all' );
								} else {
									if ( get_option( 'mediafap_selectfontheadings' ) == "Metrophobic") {
										wp_register_style( 'metrophobic', get_template_directory_uri() . '/fonts/metrophobic.css', array(), '20120917', 'all' );
									} else {
										if ( get_option( 'mediafap_selectfontheadings' ) == "Lily Script One") {
											wp_register_style( 'lily', get_template_directory_uri() . '/fonts/lily.css', array(), '20120917', 'all' );
										} else {
											if ( get_option( 'mediafap_selectfontheadings' ) == "UniFrakturCook") {
												wp_register_style( 'uni', get_template_directory_uri() . '/fonts/uni.css', array(), '20120917', 'all' );
											} else {
												if ( get_option( 'mediafap_selectfontheadings' ) == "Cinzel Decorative") {
													wp_register_style( 'cinzel', get_template_directory_uri() . '/fonts/cinzel.css', array(), '20120917', 'all' );
												} else {
													if ( get_option( 'mediafap_selectfontheadings' ) == "Great Vibes") {
														wp_register_style( 'greatvibes', get_template_directory_uri() . '/fonts/greatvibes.css', array(), '20120917', 'all' );
													} else {
														if ( get_option( 'mediafap_selectfontheadings' ) == "Lobster") {
															wp_register_style( 'lobster', get_template_directory_uri() . '/fonts/lobster.css', array(), '20120917', 'all' );
														} else {
															if ( get_option( 'mediafap_selectfontheadings' ) == "Playball") {
																wp_register_style( 'playball', get_template_directory_uri() . '/fonts/playball.css', array(), '20120917', 'all' );
															} else {
																if ( get_option( 'mediafap_selectfontheadings' ) == "Condiment") {
																	wp_register_style( 'condiment', get_template_directory_uri() . '/fonts/condiment.css', array(), '20120917', 'all' );
																} else {
																	if ( get_option( 'mediafap_selectfontheadings' ) == "Yellowtail") {
																		wp_register_style( 'yellowtail', get_template_directory_uri() . '/fonts/yellowtail.css', array(), '20120917', 'all' );
																	} else {
																		if ( get_option( 'mediafap_selectfontheadings' ) == "Crushed") {
																			wp_register_style( 'crushed', get_template_directory_uri() . '/fonts/crushed.css', array(), '20120917', 'all' );
																		} else {
																			if ( get_option( 'mediafap_selectfontheadings' ) == "Mr Bedfort") {
																				wp_register_style( 'mrbedfort', get_template_directory_uri() . '/fonts/mrbedfort.css', array(), '20120917', 'all' );
																			} else {
																				if ( get_option( 'mediafap_selectfontheadings' ) == "Niconne") {
																					wp_register_style( 'niconne', get_template_directory_uri() . '/fonts/niconne.css', array(), '20120917', 'all' );
																				} else {
																					if ( get_option( 'mediafap_selectfontheadings' ) == "Sail") {
																						wp_register_style( 'sail', get_template_directory_uri() . '/fonts/sail.css', array(), '20120917', 'all' );
																					} else {
																						if ( get_option( 'mediafap_selectfontheadings' ) == "Simonetta") {
																							wp_register_style( 'simonetta', get_template_directory_uri() . '/fonts/simonetta.css', array(), '20120917', 'all' );
																						} else {
																							if ( get_option( 'mediafap_selectfontheadings' ) == "Contrail One") {
																								wp_register_style( 'contrailone', get_template_directory_uri() . '/fonts/contrailone.css', array(), '20120917', 'all' );
																							} else {
																								if ( get_option( 'mediafap_selectfontheadings' ) == "Allura") {
																									wp_register_style( 'allura', get_template_directory_uri() . '/fonts/allura.css', array(), '20120917', 'all' );
																								} else {
																									if ( get_option( 'mediafap_selectfontheadings' ) == "Arizonia") {
																										wp_register_style( 'arizonia', get_template_directory_uri() . '/fonts/arizonia.css', array(), '20120917', 'all' );
																									} else {
																										if ( get_option( 'mediafap_selectfontheadings' ) == "Norican") {
																											wp_register_style( 'norican', get_template_directory_uri() . '/fonts/norican.css', array(), '20120917', 'all' );
																										} else {
																											if ( get_option( 'mediafap_selectfontheadings' ) == "UnifrakturMaguntia") {
																												wp_register_style( 'unifrakturmaguntia', get_template_directory_uri() . '/fonts/unifrakturmaguntia.css', array(), '20120917', 'all' );
																											} else {
																												if ( get_option( 'mediafap_selectfontheadings' ) == "Germania One") {
																													wp_register_style( 'germaniaone', get_template_directory_uri() . '/fonts/germaniaone.css', array(), '20120917', 'all' );
																												} else {
																													if ( get_option( 'mediafap_selectfontheadings' ) == "Changa One") {
																														wp_register_style( 'changaone', get_template_directory_uri() . '/fonts/changaone.css', array(), '20120917', 'all' );
																													} else {
																														if ( get_option( 'mediafap_selectfontheadings' ) == "Pirata One") {
																															wp_register_style( 'pirataone', get_template_directory_uri() . '/fonts/pirataone.css', array(), '20120917', 'all' );
																														} else {
																														}
																													}
																												}
																											}
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
	wp_enqueue_style( 'googlefonts' );
	wp_enqueue_style( 'arial' );
	wp_enqueue_style( 'trebuchet' );
	wp_enqueue_style( 'ubuntu' );
	wp_enqueue_style( 'roboto' );
	wp_enqueue_style( 'rosario' );
	wp_enqueue_style( 'quattrocento' );
	wp_enqueue_style( 'aldrich' );
	wp_enqueue_style( 'actor' );
	wp_enqueue_style( 'metrophobic' );
	wp_enqueue_style( 'lily' );
	wp_enqueue_style( 'uni' );
	wp_enqueue_style( 'cinzel' );
	wp_enqueue_style( 'greatvibes' );
	wp_enqueue_style( 'lobster' );
	wp_enqueue_style( 'playball' );
	wp_enqueue_style( 'condiment' );
	wp_enqueue_style( 'yellowtail' );
	wp_enqueue_style( 'crushed' );
	wp_enqueue_style( 'mrbedfort' );
	wp_enqueue_style( 'niconne' );
	wp_enqueue_style( 'sail' );
	wp_enqueue_style( 'simonetta' );
	wp_enqueue_style( 'contrailone' );
	wp_enqueue_style( 'allura' );
	wp_enqueue_style( 'arizonia' );
	wp_enqueue_style( 'norican' );
	wp_enqueue_style( 'unifrakturmaguntia' );
	wp_enqueue_style( 'germaniaone' );
	wp_enqueue_style( 'changaone' );
	wp_enqueue_style( 'pirataone' );
}
add_action( 'wp_enqueue_scripts', 'themefonts' );




// Create the options for the theme options page

	$options = array (
	array( "name" => $themename." Theme Options",
		"type" => "title"),
		array( "name" => "Sitename",
			"type" => "section"),
		array( "type" => "open"),
	  		array(	"name" => "Site Name",
				"desc" => "Enter your custom sitename text, this text will not be displayed if you have an <a href=\"../wp-admin/themes.php?page=customlogo-settings\">image uploaded</a> as your logo.",
	    		"id" => $shortname."_sitename",
	    		"std" => "",
	    		"type" => "text"
			),
			array(	"name" => "Sitename Font",						
				"desc" => "Select which font you would like to use for your sitename.",
				"id" => $shortname."_selectfontheadings",
				"type" => "select",
				"std" => "Trebuchet",
				"options" => array("Actor","Aldrich","Allura","Arial","Arizonia","Changa One","Cinzel Decorative","Condiment","Contrail One","Crushed","Germania One","Great Vibes","Lily Script One","Lobster","Metrophobic","Mr Bedfort","Niconne","Norican","Pirata One","Playball","Quattrocento","Roboto","Rosario","Sail","Simonetta","Trebuchet","Ubuntu","UniFrakturCook","UnifrakturMaguntia","Yellowtail")
			),
		array( "type" => "close"),
		array( "name" => "Style",
			"type" => "section"),
		array( "type" => "open"),
			array(	"name" => "Base Color",						
				"desc" => "Select a base color scheme, it will be used globally throughout your site.",
				"id" => $shortname."_style_basecolor",
				"type" => "select",
				"std" => "Blue",
				"options" => array("Blue","Dark Blue","Red","Dark Red","Green","Dark Green")
			),
		array( "type" => "close"),
		array( "name" => "Comments",
			"type" => "section"),
		array( "type" => "open"),
			array(	"name" => "Comments Selector",						
				"desc" => "Select your preferred commenting system for your posts, further information may be required below depending on your selection.<br /><br />Remember, you can also disable any commenting system on a per-post basis when writing a new post.",
				"id" => $shortname."_selectcomments",
				"type" => "select",
				"std" => "None",
				"options" => array("None","Wordpress","Disqus")
			),
			array(	"name" => "Disqus Universal Code",
				"desc" => "If you chose the Disqus commenting system above, paste your <a href=\"http://disqus.com/admin/signup/\" target=\"_blank\" title=\"Get your Univeral Disqus code\">Universal Code</a> here.<br /><br />Make sure you use the Universal Code option.",
	    		"id" => $shortname."_selectcommentsdisqus",
	    		"std" => "",
	    		"type" => "textarea"
			),
		array( "type" => "close"),
		array( "name" => "Social Networking",
			"type" => "section"),
		array( "type" => "open"),
			array(	"name" => "Social Counters",						
				"desc" => "Select wether to enable the social counters on each of your posts.",
				"id" => $shortname."_postcounters",
				"type" => "select",
				"std" => "Enable",
				"options" => array("Enable","Disable")
			),
			array(	"name" => "Social Sidebar",						
				"desc" => "Select wether to enable the floating social sidebar.",
				"id" => $shortname."_floatingsocial",
				"type" => "select",
				"std" => "Enable",
				"options" => array("Enable","Disable")
			),
			array(	"name" => "RSS URL",
				"desc" => "Enter your RSS URL to enable the social icon in the header, or leave blank to use the default feed.",
	    		"id" => $shortname."_socialrss",
	    		"std" => "",
	    		"type" => "text"
			),
	  		array(	"name" => "Facebook URL",
				"desc" => "Enter your Facebook URL to enable the social icon in the header.",
	    		"id" => $shortname."_socialfb",
	    		"std" => "",
	    		"type" => "text"
			),
	  		array(	"name" => "Twitter URL",
				"desc" => "Enter your Twitter URL to enable the social icon in the header.",
	    		"id" => $shortname."_socialtw",
	    		"std" => "",
	    		"type" => "text"
			),
	  		array(	"name" => "Flickr URL",
				"desc" => "Enter your Flickr URL to enable the social icon in the header.",
	    		"id" => $shortname."_socialfr",
	    		"std" => "",
	    		"type" => "text"
			),
	  		array(	"name" => "MySpace URL",
				"desc" => "Enter your MySpace URL to enable the social icon in the header.",
	    		"id" => $shortname."_socialms",
	    		"std" => "",
	    		"type" => "text"
			),
		array( "type" => "close"),
		array( "name" => "Advertising",
			"type" => "section"),
		array( "type" => "open"),
	  		array("name" => "Header",
				"desc" => "Add your advertisement code here, or leave blank to not display an advertisement in this location. (Max Width: 940px)",
	    		"id" => $shortname."_bannertop",
	    		"std" => "",
	    		"type" => "textarea"
			),
	  		array("name" => "Post",
				"desc" => "Add your advertisement code here, or leave blank to not display an advertisement in this location. (Max Width: 140px)",
	    		"id" => $shortname."_bannerpost",
	    		"std" => "",
	    		"type" => "textarea"
			),
	  		array("name" => "Video",
				"desc" => "Add your advertisement code here, or leave blank to not display an advertisement in this location. (Max Width: 300px)",
	    		"id" => $shortname."_bannervid",
	    		"std" => "",
	    		"type" => "textarea"
			),
	  		array("name" => "Footer",
				"desc" => "Add your advertisement code here, or leave blank to not display an advertisement in this location. (Max Width: 940px)",
	    		"id" => $shortname."_bannerbottom",
	    		"std" => "",
	    		"type" => "textarea"
			),
		array( "type" => "close"),
		array( "name" => "Miscellaneous",
			"type" => "section"),
		array( "type" => "open"),
	  		array("name" => "Site Description",
				"desc" => "Enter your chosen META description for this website, search engines use it to display your site in their results.",
	    		"id" => $shortname."_description",
	    		"std" => "",
	    		"type" => "textarea"
			),
	  		array(	"name" => "Site Keywords",
				"desc" => "Enter your chosen META keywords that are relevant to your site contents, seperate keywords with commas (keyword1, keyword2, keyword3 etc..).",
	    		"id" => $shortname."_keywords",
	    		"std" => "",
	    		"type" => "textarea"
			),
	  		array(	"name" => "Analytics",
				"desc" => "Add your analytics tracking code here from Google Analytics, or similar.",
	    		"id" => $shortname."_analytics",
	    		"std" => "",
	    		"type" => "textarea"
			),
			array(	"name" => "Date Format",						
				"desc" => "Select the format for your post dates.",
				"id" => $shortname."_dateformat",
				"type" => "select",
				"std" => "US",
				"options" => array("US","EU")
			),
			array(	"name" => "Back to Top",						
				"desc" => "Select wether to enable the floating back to top button.",
				"id" => $shortname."_backtop",
				"type" => "select",
				"std" => "Enable",
				"options" => array("Enable","Disable")
			),
	  		array(	"name" => "Copyright",
				"desc" => "Add your custom copyright text here (Custom HTML is allowed for linking).",
	    		"id" => $shortname."_copyright",
	    		"std" => "",
	    		"type" => "textarea"
			),
		array( "type" => "close")
	);




// Register all widgetised sidebars

if (function_exists('register_sidebar'))
	{
		register_sidebar(array(
			'description' => 'Drop widgets here and they will be displayed in the upper portion of the third column on your homepage.',
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h4 class="widget_title">',
			'after_title' => '</h4>',
			'name' => 'Home Sidebar (Upper)'
		));
	}
if (function_exists('register_sidebar'))
	{
		register_sidebar(array(
			'description' => 'Drop widgets here and they will be displayed in the upper portion of the third column on your homepage.',
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h4 class="widget_title">',
			'after_title' => '</h4>',
			'name' => 'Home Sidebar (Lower)'
		));
	}
	
if (function_exists('register_sidebar'))
	{
		register_sidebar(array(
			'description' => 'Drop widgets here and they will be displayed in the upper portion of the third column on all posts and pages.',
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h4 class="widget_title">',
			'after_title' => '</h4>',
			'name' => 'Post Sidebar (Upper)'
		));
	}
if (function_exists('register_sidebar'))
	{
		register_sidebar(array(
			'description' => 'Drop widgets here and they will be displayed in the upper portion of the third column on all posts and pages.',
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h4 class="widget_title">',
			'after_title' => '</h4>',
			'name' => 'Post Sidebar (Lower)'
		));
	}
	
if (function_exists('register_sidebar'))
	{
		register_sidebar(array(
			'description' => 'Drop widgets here and they will be displayed in the upper portion of the third column on all archives and categories.',
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h4 class="widget_title">',
			'after_title' => '</h4>',
			'name' => 'Archive Sidebar (Upper)'
		));
	}
if (function_exists('register_sidebar'))
	{
		register_sidebar(array(
			'description' => 'Drop widgets here and they will be displayed in the upper portion of the third column on all archives and categories.',
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h4 class="widget_title">',
			'after_title' => '</h4>',
			'name' => 'Archive Sidebar (Lower)'
		));
	}
	



// Display all widgetised areas

function widget_home_upper() { ?>
	<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Home Sidebar (Upper)') ) : else : ?>
	<?php endif; ?>
<?php }

function widget_home_lower() { ?>
	<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Home Sidebar (Lower)') ) : else : ?>
	<?php endif; ?>
<?php }
		
function widget_post_upper() { ?>
	<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Post Sidebar (Upper)') ) : else : ?>
		<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Home Sidebar (Upper)') ) : else : ?>
        <?php endif; ?>
	<?php endif; ?>
<?php }

function widget_post_lower() { ?>
	<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Post Sidebar (Lower)') ) : else : ?>
		<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Home Sidebar (Lower)') ) : else : ?>
        <?php endif; ?>
	<?php endif; ?>
<?php }

function widget_archive_upper() { ?>
	<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Archive Sidebar (Upper)') ) : else : ?>
		<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Post Sidebar (Upper)') ) : else : ?>
			<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Home Sidebar (Upper)') ) : else : ?>
    	    <?php endif; ?>
		<?php endif; ?>
	<?php endif; ?>
<?php }

function widget_archive_lower() { ?>
	<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Archive Sidebar (Lower)') ) : else : ?>
		<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Post Sidebar (Lower)') ) : else : ?>
			<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Home Sidebar (Lower)') ) : else : ?>
    	    <?php endif; ?>
		<?php endif; ?>
	<?php endif; ?>
<?php }




// Create custom post meta boxes


add_action('init', 'Videos');

function Videos(){
	$Videos_args = array(
		'label'	=> __('Videos', 'mediafap'),
		'singular_label' =>	__('Videos', 'mediafap'),
		'public'	=>	true,
		'show_ui'	=>	true,
		'capability_type'	=>	'post',
		'hierarchical'	=>	true,
		'rewrite'	=>	true,
		'has_archive' => true,
		'supports'	=>	array('title', 'editor','page-attributes','thumbnail')
		);
		register_post_type('Videos', $Videos_args);
}

$prefix = 'mediafap_';

$meta_box = array(
	'id' => 'post-meta-boxes',
	'title' => 'Specific Post Options',
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
array(
            'name' => 'Disable commenting systems',
            'desc' => '',
            'id' => $prefix . 'nocommentpost',
            'type' => 'checkbox',
            'std' => ''
        ),
array(
            'name' => 'Disable featured image',
            'desc' => '',
            'id' => $prefix . 'nofeatimg',
            'type' => 'checkbox',
            'std' => ''
        ),
	)
);

add_action('admin_menu', 'mytheme_add_box');

function mytheme_add_box() {
	global $meta_box;
	
	add_meta_box($meta_box['id'], $meta_box['title'], 'mytheme_show_box', $meta_box['page'], $meta_box['context'], $meta_box['priority']);
}

function mytheme_show_box() {
	global $meta_box, $post;

	echo '<input type="hidden" name="mytheme_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
	
	echo '<table class="form-table">';

	foreach ($meta_box['fields'] as $field) {
		$meta = get_post_meta($post->ID, $field['id'], true);
		
		echo '<tr>',
				'<th style="width:20%"><label for="', $field['id'], '">', $field['name'], '</label></th>',
				'<td>';
		switch ($field['type']) {
			case 'text':
				echo '<input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:97%" />',
					'<br />', $field['desc'];
				break;
			case 'textarea':
				echo '<textarea name="', $field['id'], '" id="', $field['id'], '" cols="60" rows="4" style="width:97%">', $meta ? $meta : $field['std'], '</textarea>',
					'<br />', $field['desc'];
				break;
			case 'select':
				echo '<select name="', $field['id'], '" id="', $field['id'], '">';
				foreach ($field['options'] as $option) {
					echo '<option', $meta == $option ? ' selected="selected"' : '', '>', $option, '</option>';
				}
				echo '</select>';
				break;
			case 'radio':
				foreach ($field['options'] as $option) {
					echo '<input type="radio" name="', $field['id'], '" value="', $option['value'], '"', $meta == $option['value'] ? ' checked="checked"' : '', ' />', $option['name'];
				}
				break;
			case 'checkbox':
				echo '<input type="checkbox" name="', $field['id'], '" id="', $field['id'], '"', $meta ? ' checked="checked"' : '', ' />';
				break;
		}
		echo 	'<td>',
			'</tr>';
	}
	
	echo '</table>';
}

add_action('save_post', 'mytheme_save_data');

function mytheme_save_data($post_id) {
	global $meta_box;

	if (!wp_verify_nonce($_POST['mytheme_meta_box_nonce'], basename(__FILE__))) {
		return $post_id;
	}

	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}

	if ('page' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	}
	
	foreach ($meta_box['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
		
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
}






$meta_box_videos = array(
	'id' => 'post-meta-boxes_videos',
	'title' => 'Videos Data',
	'page' => 'Videos',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
array(
            'name' => 'YouTube',
            'desc' => 'Enter the YouTube video ID code taken from the URL of your chosen video.',
            'id' => $prefix . 'embed_youtube',
            'type' => 'text',
            'std' => ''
        ),
array(
            'name' => 'Vimeo',
            'desc' => 'Enter the Vimeo video ID code taken from the URL of your chosen video.',
            'id' => $prefix . 'embed_vimeo',
            'type' => 'text',
            'std' => ''
        ),
	)
);

add_action('admin_menu', 'mytheme_add_box_videos');

function mytheme_add_box_videos() {
	global $meta_box_videos;
	
	add_meta_box($meta_box_videos['id'], $meta_box_videos['title'], 'mytheme_show_box_videos', $meta_box_videos['page'], $meta_box_videos['context'], $meta_box_videos['priority']);
}

function mytheme_show_box_videos() {
	global $meta_box_videos, $post;

	echo '<input type="hidden" name="mytheme_meta_box_videos_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
	
	echo '<table class="form-table">';

	foreach ($meta_box_videos['fields'] as $field_videos) {
		$meta_videos = get_post_meta($post->ID, $field_videos['id'], true);
		
		echo '<tr>',
				'<th style="width:20%"><label for="', $field_videos['id'], '">', $field_videos['name'], '</label></th>',
				'<td>';
		switch ($field_videos['type']) {
			case 'text':
				echo '<input type="text" name="', $field_videos['id'], '" id="', $field_videos['id'], '" value="', $meta_videos ? $meta_videos : $field_videos['std'], '" size="30" style="width:97%" />',
					'<br />', $field_videos['desc'];
				break;
			case 'textarea':
				echo '<textarea name="', $field_videos['id'], '" id="', $field_videos['id'], '" cols="60" rows="4" style="width:97%">', $meta_videos ? $meta_videos : $field_videos['std'], '</textarea>',
					'<br />', $field_videos['desc'];
				break;
			case 'select':
				echo '<select name="', $field_videos['id'], '" id="', $field_videos['id'], '">';
				foreach ($field_videos['options'] as $option_videos) {
					echo '<option', $meta_videos == $option_videos ? ' selected="selected"' : '', '>', $option_videos, '</option>';
				}
				echo '</select>';
				break;
			case 'radio':
				foreach ($field_videos['options'] as $option_videos) {
					echo '<input type="radio" name="', $field_videos['id'], '" value="', $option_videos['value'], '"', $meta_videos == $option_videos['value'] ? ' checked="checked"' : '', ' />', $option_videos['name'];
				}
				break;
			case 'checkbox':
				echo '<input type="checkbox" name="', $field_videos['id'], '" id="', $field_videos['id'], '"', $meta_videos ? ' checked="checked"' : '', ' />';
				break;
		}
		echo 	'<td>',
			'</tr>';
	}
	
	echo '</table>';
}

add_action('save_post', 'mytheme_save_data_videos');

function mytheme_save_data_videos($post_id) {
	global $meta_box_videos;

	if (!wp_verify_nonce($_POST['mytheme_meta_box_videos_nonce'], basename(__FILE__))) {
		return $post_id;
	}

	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}

	if ('page' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	}
	
	foreach ($meta_box_videos['fields'] as $field_videos) {
		$old_videos = get_post_meta($post_id, $field_videos['id'], true);
		$new_videos = $_POST[$field_videos['id']];
		
		if ($new_videos && $new_videos != $old_videos) {
			update_post_meta($post_id, $field_videos['id'], $new_videos);
		} elseif ('' == $new_videos && $old_videos) {
			delete_post_meta($post_id, $field_videos['id'], $old_videos);
		}
	}
}






// Unregister some default Wordpress widgets

	function unregister_default_wp_widgets() { 
		unregister_widget('WP_Nav_Menu_Widget');
		unregister_widget('WP_Widget_Recent_Comments');
		unregister_widget('WP_Widget_Calendar');
	}
	add_action('widgets_init', 'unregister_default_wp_widgets', 1);
	
	




// Default Wordpress comments
		
if ( ! function_exists( 'mediafap_comment' ) ) :

function mediafap_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'mediafap' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'mediafap' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>" class="comment">
			<div class="comment-meta">
				<div class="comment-author vcard">
					<?php
						$avatar_size = 50;
						if ( '0' != $comment->comment_parent )
							$avatar_size = 32;

						echo get_avatar( $comment, $avatar_size );

						printf( __( '%1$s on %2$s <span class="says">said:</span>', 'mediafap' ),
							sprintf( '<span class="fn">%s</span>', get_comment_author_link() ),
							sprintf( '<a href="%1$s">%3$s</a>',
								esc_url( get_comment_link( $comment->comment_ID ) ),
								get_comment_time( 'c' ),
								sprintf( __( '%1$s at %2$s', 'mediafap' ), get_comment_date(), get_comment_time() )
							)
						);
					?>

					<?php edit_comment_link( __( 'Edit', 'mediafap' ), '<span class="edit-link">', '</span>' ); ?>
				</div>
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'mediafap' ); ?></em>
					<br />
				<?php endif; ?>

			</div>

			<div class="comment-content"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply <span>&darr;</span>', 'mediafap' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div><!-- .reply -->
		</div><!-- #comment-## -->

	<?php
			break;
	endswitch;
}
endif;





// Create theme shortcodes

	function shortcode_red( $atts, $content = null ) {
		return '<div class="shortcode_red">' . $content . '</div>';
	}
	add_shortcode('red', 'shortcode_red');	
	
	function shortcode_blue( $atts, $content = null ) {
		return '<div class="shortcode_blue">' . $content . '</div>';
	}
	add_shortcode('blue', 'shortcode_blue');
	
	function shortcode_green( $atts, $content = null ) {
		return '<div class="shortcode_green">' . $content . '</div>';
	}
	add_shortcode('green', 'shortcode_green');	
	
	function floatleft_shortcode( $atts, $content = null ) {
		return '<div class="floatleft">' . $content . '</div>';
	}
	add_shortcode('floatleft', 'floatleft_shortcode');
	
	
	function floatright_shortcode( $atts, $content = null ) {
		return '<div class="floatright">' . $content . '</div>';
	}
	add_shortcode('floatright', 'floatright_shortcode');




// Create custom pagination function

function pagination($pages = '', $range = 4)
	{
		$showitems = ($range * 2)+1;  
		global $paged;
		if(empty($paged)) $paged = 1;
		if($pages == '')
	{
	global $wp_query;
	$pages = $wp_query->max_num_pages;
	if(!$pages)
		{
			$pages = 1;
		}
	}   
	if(1 != $pages)
	{
		echo "<div class=\"pagination\"><span>Page ".$paged." of ".$pages."</span>";
		if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo; First</a>";
		if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo; Previous</a>";
			for ($i=1; $i <= $pages; $i++)
		{
		if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
			{
				echo ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
			}
		}
		if ($paged < $pages && $showitems < $pages) echo "<a href=\"".get_pagenum_link($paged + 1)."\">Next &rsaquo;</a>";
		if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>Last &raquo;</a>";
			echo "</div>\n";
		}
	}




// Register all image thumbnail size functions

if ( function_exists( 'add_theme_support' ) )
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 280, 215, true );
add_image_size( 'img_460', 460, 307, true );
add_image_size( 'img_380', 380, 254, true );
add_image_size( 'img_300', 300, 200, true );
add_image_size( 'img_280', 280, 187, true );
add_image_size( 'img_220', 220, 153, true );
add_image_size( 'img_180', 180, 120, true );
add_image_size( 'img_160', 160, 108, true );
add_image_size( 'img_140', 140, 94, true );
add_image_size( 'img_60', 60, 60, true );


		

// Display the sitename
	
function sitename () { ?>
	<?php $customlogo_options = get_option('theme_customlogo_options'); ?>
    <?php if ( $customlogo_options['logo'] != '' ) { ?>
    	<a href="<?php echo home_url(); ?>"><img src="<?php echo $customlogo_options['logo']; ?>" alt="logo" class="logo" /></a>
    <?php } else { ?>
		<?php if ( $sitename = get_option('mediafap_sitename') ) { ?>
			<h1 class="sitename"><a href="<?php echo home_url(); ?>"><?php $sitename = get_option('mediafap_sitename'); echo stripslashes($sitename); ?></a></h1>
    	<?php } else { ?>
			<h1 class="sitename"><a href="<?php echo home_url(); ?>"><?php echo get_bloginfo('name'); ?></a></h1>
    	<?php } ?>
    <?php } ?>
<?php }




		
// Menu functions

function mainmenu() { ?>
        <div id="menucontainer">
            <?php wp_nav_menu( array('menu_class' => 'mainmenu', 'menu_id' => '', 'container_class' => 'mainmenu', 'theme_location' => 'main_menu', 'depth' => '4', 'fallback_cb' => 'mainmenu_fallback' )); ?>
        </div>
<?php }

function mainmenu_fallback() { ?>
	<div class="mainmenu">
    	<ul id="menu-menu-1" class="mainmenu">
			<li><a href="<?php echo home_url(); ?>"><?php _e('Home','mediafap'); ?></a></li>
			<?php wp_list_categories('title_li='); ?>
		</ul>
	</div>
<?php }

function topmenu() { ?>
    <div id="topmenucontainer">
        <?php wp_nav_menu( array('menu_class' => 'topmenu', 'menu_id' => '', 'container_class' => 'topmenu', 'theme_location' => 'top_menu', 'depth' => '1', 'fallback_cb' => 'topmenu_fallback' )); ?>
    </div>
<?php }

function topmenu_fallback() { ?>
&nbsp;
<?php }



	
// Display pagination links
		
function paginationlinks() { ?>
	<?php
		echo '<div class="paginationblock">'; 
		   pagination($pages = '', $range = 1);
	   echo '</div>';
	 ?>
<?php }




// Social header icons

function socialheader() { ?>
	<?php if ( $socialrss = get_option('mediafap_socialrss') ) { ?>
        <a href="<?php $socialrss = get_option('mediafap_socialrss'); echo stripslashes($socialrss); ?>" target="_blank" title="Subscribe to our RSS feed"><img src="<?php echo get_template_directory_uri(); ?>/images/mediafap_social_rss.png" alt="socialrss" class="social" /></a>
    <?php } else { ?>
    <?php } ?>
    <?php if ( $socialtw = get_option('mediafap_socialtw') ) { ?>
        <a href="<?php $socialtw = get_option('mediafap_socialtw'); echo stripslashes($socialtw); ?>" target="_blank" title="Follow us on Twitter"><img src="<?php echo get_template_directory_uri(); ?>/images/mediafap_social_tw.png" alt="socialtw" class="social" /></a>
    <?php } else { ?>
    <?php } ?>
    <?php if ( $socialfb = get_option('mediafap_socialfb') ) { ?>
        <a href="<?php $socialfb = get_option('mediafap_socialfb'); echo stripslashes($socialfb); ?>" target="_blank" title="Like us on Facebook"><img src="<?php echo get_template_directory_uri(); ?>/images/mediafap_social_fb.png" alt="socialfb" class="social" /></a>
    <?php } else { ?>
    <?php } ?>
    <?php if ( $socialms = get_option('mediafap_socialms') ) { ?>
        <a href="<?php $socialms = get_option('mediafap_socialms'); echo stripslashes($socialms); ?>" target="_blank" title="Visit us on MySpace"><img src="<?php echo get_template_directory_uri(); ?>/images/mediafap_social_ms.png" alt="socialms" class="social" /></a>
    <?php } else { ?>
    <?php } ?>
    <?php if ( $socialfr = get_option('mediafap_socialfr') ) { ?>
        <a href="<?php $socialfr = get_option('mediafap_socialfr'); echo stripslashes($socialfr); ?>" target="_blank" title="Visit our Flickr Gallery"><img src="<?php echo get_template_directory_uri(); ?>/images/mediafap_social_fr.png" alt="socialfr" class="social" /></a>
    <?php } else { ?>
    <?php } ?>
<?php }




// Advertisement (Header)

function bannertop() { ?>
	<?php if ( $bannertop = get_option('mediafap_bannertop') ) { ?>
    	<div class="nomobile">
            <div class="banner">  
                <center>
                    <?php $bannertop = get_option('mediafap_bannertop'); echo stripslashes($bannertop); ?>
                </center>
            </div>
        </div>
    <?php } else { ?>
    <?php } ?>
<?php }




// Advertisement (Video)

function bannervid() { ?>
	<?php if ( $bannervid = get_option('mediafap_bannertop') ) { ?>
    	<div class="banner">  
    		<center>
    			<?php $bannertop = get_option('mediafap_bannertop'); echo stripslashes($bannertop); ?>
    		</center>
    	</div>
    <?php } else { ?>
    <?php } ?>
<?php }




// Advertisement (Post)

function bannerpost() { ?>
	<?php if ( $bannerpost = get_option('mediafap_bannerpost') ) { ?>
   		<center>
   			<?php $bannerpost = get_option('mediafap_bannerpost'); echo stripslashes($bannerpost); ?>
   		</center>
		<div class="clearfix"></div>
    <?php } else { ?>
    <?php } ?>
<?php }




// Advertisement (Footer)

function bannerbottom() { ?>
	<?php if ( $bannerbottom = get_option('mediafap_bannerbottom') ) { ?>
    	<div class="nomobile">
            <center>
                <?php $bannerbottom = get_option('mediafap_bannerbottom'); echo stripslashes($bannerbottom); ?>
            </center>
            <div class="clearfix"></div>
        </div>
    <?php } else { ?>
    <?php } ?>
<?php }




// Search field function

function searchfield() { ?>	
	<form id="searchform" method="get" action="<?php echo home_url( '/' ); ?>">
		<input type="text" value="Enter keyword to search" name="s" id="searchbox" onfocus="if (this.value == 'Enter keyword to search') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Enter keyword to search';}" />
		<input type="submit" id="searchbutton" value="" />
	</form>
<?php } 





// Exclude pages from search results

function SearchFilter($query) {
	if ($query->is_search) {
		$query->set('post_type', 'post');
	}
		return $query;
	}
	add_filter('pre_get_posts','SearchFilter');




// Date format selector

function dateformat() { ?>
	<?php if ( get_option( 'mediafap_dateformat' ) == "EU") { ?>
		<?php if (function_exists('wp_days_ago')) { ?>
			<?php wp_days_ago(); ?>
		<?php } else { ?>
			<?php the_time('jS F, Y'); ?>
		<?php } ?>
	<?php } else { ?>
		<?php if (function_exists('wp_days_ago')) { ?>
			<?php wp_days_ago(); ?>
		<?php } else { ?>
			<?php the_time('F jS, Y'); ?>
		<?php } ?>
	<?php } ?>
<?php }


		

// Floating social bar 

function floatingsocial() { ?>

	<?php if ( get_option( 'mediafap_floatingsocial' ) == "Disable") { ?>
	<?php } else { ?>
        <div class="nomobile">
			<script type="text/javascript">stLight.options({publisher: "ur-c9128593-e43a-f53a-ce29-12c3943e4220", doNotHash: true, doNotCopy: true, hashAddressBar: false});</script>
            <script>
            var options={ "publisher": "ur-c9128593-e43a-f53a-ce29-12c3943e4220", "position": "left", "ad": { "visible": false, "openDelay": 5, "closeDelay": 0}, "chicklets": { "items": ["facebook", "twitter", "linkedin", "googleplus", "pinterest"]}};
            var st_hover_widget = new sharethis.widgets.hoverbuttons(options);
            </script>
        </div>
	<?php } ?>
<?php }




// Smartphone only home loop
		
function loop_home() { ?>
	<?php $my_query = new WP_Query('showposts=10&offset=0'); ?>
	<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
		<div class="block">
			<a href="<?php the_permalink(); // POST LINK ?>">
				<h4><?php the_title(); // POST TITLE ?></h4>
				<?php the_post_thumbnail( 'img_280', array( 'class' => 'img_280', 'title' => '' ) ); // POST IMAGE ?>
			</a>
			<span class="slant"><?php dateformat(); // POST DATE ?></span>
			<p><?php wpe_excerpt('wpe_excerptlength_moderate', 'wpe_excerptmore'); // POST EXCERPT ?></p>		
		</div>
	<?php endwhile; ?>
<?php }




// Smartphone only archive loop
		
function loop_archive() { ?>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="block">
			<a href="<?php the_permalink(); // POST LINK ?>">
				<h4><?php the_title(); // POST TITLE ?></h4>
				<?php the_post_thumbnail( 'img_280', array( 'class' => 'img_280', 'title' => '' ) ); // POST IMAGE ?>
			</a>
			<span class="slant"><?php dateformat(); // POST DATE ?></span>
			<p><?php wpe_excerpt('wpe_excerptlength_moderate', 'wpe_excerptmore'); // POST EXCERPT ?></p>		
		</div>
	<?php endwhile; else: ?>
		<p><?php _e('No post to show.', 'mediafap'); ?></p>
	<?php endif; ?>
<?php }





// Smartphone only post loop
		
function loop_single() { ?>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<h2 class="posttitle"><?php the_title(); // POST TITLE ?></h2>
		<?php the_post_thumbnail( 'img_280', array( 'class' => 'img_280', 'title' => '' ) ); // POST IMAGE ?>
		<span class="slant"><?php dateformat(); // POST DATE ?></span>
		<div class="contentstyle">
			<?php the_content(); // POST CONTENTS ?>
		</div>
		<?php _e('By', 'mediafap'); ?> <?php the_author_posts_link(); // POST AUTHOR ?>
		<?php authortwitter(); // POST AUTHOR TWITTER ?>
		<div class="clearfix"></div>
	<?php endwhile; else: ?>
		<p><?php _e('No post to show.', 'mediafap'); ?></p>
	<?php endif; ?>
<?php }




// Smartphone only page loop

function loop_page() { ?>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<h2 class="posttitle"><?php the_title(); // POST TITLE ?></h2>
		<div class="contentstyle">
			<?php the_content(); // POST CONTENTS ?>
		</div>
		<div class="clearfix"></div>
	<?php endwhile; else: ?>
		<p><?php _e('No post to show.', 'mediafap'); ?></p>
	<?php endif; ?>
<?php }





// Display analytics code
		
function analytics() { ?>	
	<?php if ( $analytics = get_option('mediafap_analytics') ) { ?>
		<?php $analytics = get_option('mediafap_analytics'); echo stripslashes($analytics); ?>
	<?php } else { ?>
	<?php } ?>
<?php }
		
		
		
		
// Display copyright text
		
function copyrighttext() { ?>		
	<?php if ( $copyright = get_option('mediafap_copyright') ) { ?>
		<?php $copyright = get_option('mediafap_copyright'); echo stripslashes($copyright); ?>
	<?php } else { ?>
		<?php _e('COPYRIGHT','mediafap'); ?> <?php _e('&copy;','mediafap'); ?> <?php echo date("Y"); ?> <?php echo get_bloginfo('name'); ?>. <?php _e('All rights reserved','mediafap'); ?>
	<?php } ?>  
<?php }




// Display the back to top button

function backtotop() { ?>
	<?php if ( get_option( 'mediafap_backtop' ) == "Disable") { ?>
	<?php } else { ?>
        <div id="backtotop">
            <a href="#">
                <img src="<?php echo get_template_directory_uri(); ?>/images/mediafap_up.png" class="backtop" alt="backtotop" />
            </a>
        </div>
	<?php } ?>
<?php }




// Display social icons on posts

function socialposticons() { ?>
	<?php if ( get_option( 'mediafap_postcounters' ) == "Disable") { ?>
	<?php } else { ?>
        <span class='st_facebook_hcount' displayText='Facebook'></span>
        <span class='st_twitter_hcount' displayText='Tweet'></span>
        <span class='st_linkedin_hcount' displayText='LinkedIn'></span>
        <span class='st_pinterest_hcount' displayText='Pinterest'></span>
        <div class="clearfix"></div>
	<?php } ?>  
<?php }




// Coda slider

	function codaslider () { ?>
    
   <h4 class="widget_title"><?php _e( 'In The News', 'mediafap'); ?></h4>
    
		<div class="rotator">
			<div id="codaslider"><!-- #codaslider -->
				<div class="coda-slider"  id="slider-id">
                    <div><!-- #coda 1 -->
                        <div class="coda_block">
                            <?php $my_query = new WP_Query('showposts=3&offset=0'); ?>
                            <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                                <div class="coda_split">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_post_thumbnail( 'img_160', array( 'class' => 'img_160', 'title' => '' ) ); // POST IMAGE ?>
                                    <?php the_title(); ?>
                                </a>
                                </div>
                            <?php endwhile; // END WP LOOP ?>
                        </div>
                    </div><!-- /coda 1 -->
                    <div><!-- #coda 2 -->
                        <div class="coda_block">
                            <?php $my_query = new WP_Query('showposts=3&offset=3'); ?>
                            <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                                <div class="coda_split">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_post_thumbnail( 'img_160', array( 'class' => 'img_160', 'title' => '' ) ); // POST IMAGE ?>
                                    <?php the_title(); ?>
                                </a>
                                </div>
                            <?php endwhile; // END WP LOOP ?>
                        </div>
                    </div><!-- /coda 2 -->
                    <div><!-- #coda 3 -->
                        <div class="coda_block">
                            <?php $my_query = new WP_Query('showposts=3&offset=6'); ?>
                            <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                                <div class="coda_split">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_post_thumbnail( 'img_160', array( 'class' => 'img_160', 'title' => '' ) ); // POST IMAGE ?>
                                    <?php the_title(); ?>
                                </a>
                                </div>
                            <?php endwhile; // END WP LOOP ?>
                        </div>
                    </div><!-- /coda 3 -->
                    <div><!-- #coda 4 -->
                        <div class="coda_block">
                            <?php $my_query = new WP_Query('showposts=3&offset=9'); ?>
                            <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                                <div class="coda_split">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_post_thumbnail( 'img_160', array( 'class' => 'img_160', 'title' => '' ) ); // POST IMAGE ?>
                                    <?php the_title(); ?>
                                </a>
                                </div>
                            <?php endwhile; // END WP LOOP ?>
                        </div>
                    </div><!-- /coda 4 -->
                    <div><!-- #coda 5 -->
                        <div class="coda_block">
                            <?php $my_query = new WP_Query('showposts=3&offset=12'); ?>
                            <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                                <div class="coda_split">
                                <a href="<?php the_permalink(); ?>">
                                    <?php the_post_thumbnail( 'img_160', array( 'class' => 'img_160', 'title' => '' ) ); // POST IMAGE ?>
                                    <?php the_title(); ?>
                                </a>
                                </div>
                            <?php endwhile; // END WP LOOP ?>
                        </div>
                    </div><!-- /coda 5 -->
				</div>
			</div><!-- /codaslider -->
		</div>
		<div class="clear"></div>

<?php }




// WIDGET: Banner Advertisement

class mediafap_bannerad extends WP_Widget {
	function mediafap_bannerad() {
		$widget_ops = array(
			'classname' => 'widget_mediafap_bannerad',
			'description' => 'Place a banner advertisement in the sidebar.'
		);
		$this->WP_Widget(
			'mediafap_bannerad',
			'Advertisement',
			$widget_ops
		);
	}
	function widget( $args, $instance ) {
		extract($args);
		$title = apply_filters( 'widget_title', empty($instance['title']) ? '' : $instance['title'], $instance );
		$text = apply_filters( 'widget_execphp', $instance['text'], $instance );
		echo '<div class="widget">';
	?>

					<center>
					<?php echo $instance['filter'] ? wpautop($text) : $text; ?>
                    </center>
	<?php
		echo '</div>';
	?>
	<?php
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		if ( current_user_can('unfiltered_html') )
			$instance['text'] =  $new_instance['text'];
		else
			$instance['text'] = stripslashes( wp_filter_post_kses( $new_instance['text'] ) );
			$instance['filter'] = isset($new_instance['filter']);
			return $instance;
		}
		function form( $instance ) {
			$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'text' => '' ) );
			$title = strip_tags($instance['title']);
			$text = format_to_edit($instance['text']);
	?>
	<p>
		<label for="<?php echo $this->get_field_id("text"); ?>">
			<?php _e( 'Banner Code:', 'mediafap' ); ?>
			<textarea class="widefat" rows="10" cols="20" id="<?php echo $this->get_field_id('text'); ?>" name="<?php echo $this->get_field_name('text'); ?>">
				<?php echo $text; ?>
            </textarea>
		</label>
	</p>
	<p><?php _e( 'Enter your banner advertisement code, use 300*250px advertisements.', 'mediafap'); ?></p>
	<hr />
	<?php
		}
	}
	add_action('widgets_init', create_function('', 'return register_widget("mediafap_bannerad");'));




// WIDGET: Post Image

class mediafap_postimg extends WP_Widget {
	function mediafap_postimg() {
		$widget_ops = array(
			'classname' => 'widget_mediafap_postlist',
			'description' => 'List posts from any or all of your categories complete with post image.'
		);
		$this->WP_Widget(
			'mediafap_postimg',
			'Post Image',
			$widget_ops
		);
	}
	function widget($args, $instance) {
		global $post;
		$post_old = $post; 
		extract( $args );
		if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
		}
		echo '<div class="widget_alt">';
		echo $before_title;
		if( $instance["title"] ) 
			echo '<a href="' . get_category_link($instance["cat"]) . '">' . $instance["title"] . '</a>';
		else
			echo '<a href="' . get_category_link($instance["cat"]) . '">' . $instance["cat"] . '</a>';
		echo $after_title;
	?>
			<?php if (isset( $instance["allcats"] )) { ?>
				<?php $my_query = new WP_Query("showposts=" . $instance["show"] . "&offset=" . $instance["skip"]); ?>
			<?php } else { ?>
				<?php $my_query = new WP_Query("showposts=" . $instance["show"] . "&cat=" . $instance["cat"] . "&offset=" . $instance["skip"]); ?>
			<?php } ?>
			<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
            <div class="block">
                    <a href="<?php the_permalink(); ?>">
                        <?php the_post_thumbnail( 'img_300', array( 'class' => 'img_300', 'title' => '' ) ); ?>
                    
                    <h4><?php the_title(); ?></h4>
                    </a>
                    <span class="slant"><?php dateformat(); ?></span>
                    <p><?php wpe_excerpt('wpe_excerptlength_moderate', 'wpe_excerptmore'); // POST EXCERPT ?></p>
                    </div>
			<?php endwhile; ?>
            
	<?php
		echo $after_widget;
		$post = $post_old; 
	}
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
	function form($instance) {
	?>
	<p>
		<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title:', 'mediafap' ); ?>
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</label>
	</p>
	<p><?php _e( 'Give this widget a title, or leave blank to display the category name.', 'mediafap'); ?></p>
	<hr />
	<p>
		<label for="<?php echo $this->get_field_id("cat"); ?>">
			<?php _e( 'Category: &nbsp;', 'mediafap' ); ?>		
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
		</label>
	</p>
	<p><?php _e( 'Select a specific category to pull posts from.', 'mediafap'); ?></p>
	<hr />
	<p>
		<label for="<?php echo $this->get_field_id("allcats"); ?>">
			<?php _e( 'All Categories? &nbsp;', 'mediafap' ); ?>
			<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("allcats"); ?>" name="<?php echo $this->get_field_name("allcats"); ?>"<?php checked( (bool) $instance["allcats"], true ); ?> />
		</label>
	</p>
	<p><?php _e( 'Check the box to pull posts from all categories instead, overriding the above setting.', 'mediafap'); ?></p>
	<hr />
	<p>
		<label for="<?php echo $this->get_field_id("show"); ?>">
			<?php _e( 'Show X Posts: &nbsp;', 'mediafap' ); ?>
			<input style="text-align: center;" id="<?php echo $this->get_field_id("show"); ?>" name="<?php echo $this->get_field_name("show"); ?>" type="text" value="<?php echo absint($instance["show"]); ?>" size='3' />
		</label>
	</p>
	<p><?php _e( 'Enter how many posts to display in this list (numerical).', 'mediafap'); ?></p>
	<hr />
	<p>
		<label for="<?php echo $this->get_field_id("skip"); ?>">
			<?php _e( 'Skip X Posts: &nbsp;', 'mediafap' ); ?>
<input style="text-align: center;" id="<?php echo $this->get_field_id("skip"); ?>" name="<?php echo $this->get_field_name("skip"); ?>" type="text" value="<?php echo absint($instance["skip"]); ?>" size='3' />
		</label>
	</p>
	<p><?php _e( 'Enter how many posts to skip before starting the list (numerical).', 'mediafap'); ?></p>
	<hr />
	<?php
		}
	}
	add_action( 'widgets_init', create_function('', 'return register_widget("mediafap_postimg");') );
	
	
	
	
// WIDGET: Post List

class mediafap_postlist extends WP_Widget {
	function mediafap_postlist() {
		$widget_ops = array(
			'classname' => 'widget_mediafap_postlist',
			'description' => 'List posts from any or all of your categories.'
		);
		$this->WP_Widget(
			'mediafap_postlist',
			'Post List',
			$widget_ops
		);
	}
	function widget($args, $instance) {
		global $post;
		$post_old = $post; 
		extract( $args );
		if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
		}
		echo '<div class="widget_alt">';
		echo $before_title;
		if( $instance["title"] ) 
			echo '<a href="' . get_category_link($instance["cat"]) . '">' . $instance["title"] . '</a>';
		else
			echo '<a href="' . get_category_link($instance["cat"]) . '">' . $instance["cat"] . '</a>';
		echo $after_title;
	?><ul>
			<?php if (isset( $instance["allcats"] )) { ?>
				<?php $my_query = new WP_Query("showposts=" . $instance["show"] . "&offset=" . $instance["skip"]); ?>
			<?php } else { ?>
				<?php $my_query = new WP_Query("showposts=" . $instance["show"] . "&cat=" . $instance["cat"] . "&offset=" . $instance["skip"]); ?>
			<?php } ?>
			<?php while ($my_query->have_posts()) : $my_query->the_post(); ?>

                    <a href="<?php the_permalink(); ?>">
              
                    <li><?php the_title(); ?></li>
                    </a>

			<?php endwhile; ?>
            </ul>
            
	<?php
		echo $after_widget;
		$post = $post_old; 
	}
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
	function form($instance) {
	?>
	<p>
		<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title:', 'mediafap' ); ?>
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</label>
	</p>
	<p><?php _e( 'Give this widget a title, or leave blank to display the category name.', 'mediafap'); ?></p>
	<hr />
	<p>
		<label for="<?php echo $this->get_field_id("cat"); ?>">
			<?php _e( 'Category: &nbsp;', 'mediafap' ); ?>		
			<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
		</label>
	</p>
	<p><?php _e( 'Select a specific category to pull posts from.', 'mediafap'); ?></p>
	<hr />
	<p>
		<label for="<?php echo $this->get_field_id("allcats"); ?>">
			<?php _e( 'All Categories? &nbsp;', 'mediafap' ); ?>
			<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("allcats"); ?>" name="<?php echo $this->get_field_name("allcats"); ?>"<?php checked( (bool) $instance["allcats"], true ); ?> />
		</label>
	</p>
	<p><?php _e( 'Check the box to pull posts from all categories instead, overriding the above setting.', 'mediafap'); ?></p>
	<hr />
	<p>
		<label for="<?php echo $this->get_field_id("show"); ?>">
			<?php _e( 'Show X Posts: &nbsp;', 'mediafap' ); ?>
			<input style="text-align: center;" id="<?php echo $this->get_field_id("show"); ?>" name="<?php echo $this->get_field_name("show"); ?>" type="text" value="<?php echo absint($instance["show"]); ?>" size='3' />
		</label>
	</p>
	<p><?php _e( 'Enter how many posts to display in this list (numerical).', 'mediafap'); ?></p>
	<hr />
	<p>
		<label for="<?php echo $this->get_field_id("skip"); ?>">
			<?php _e( 'Skip X Posts: &nbsp;', 'mediafap' ); ?>
<input style="text-align: center;" id="<?php echo $this->get_field_id("skip"); ?>" name="<?php echo $this->get_field_name("skip"); ?>" type="text" value="<?php echo absint($instance["skip"]); ?>" size='3' />
		</label>
	</p>
	<p><?php _e( 'Enter how many posts to skip before starting the list (numerical).', 'mediafap'); ?></p>
	<hr />
	<?php
		}
	}
	add_action( 'widgets_init', create_function('', 'return register_widget("mediafap_postlist");') );
	
	
	
	
// WIDGET: Latest Comments

class mediafap_latestcomments extends WP_Widget {
	function mediafap_latestcomments() {
		$widget_ops = array(
			'classname' => 'widget_mediafap_latestcomments',
			'description' => 'List posts from any or all of your categories.'
		);
		$this->WP_Widget(
			'mediafap_latestcomments',
			'Latest Comments',
			$widget_ops
		);
	}
	function widget($args, $instance) {
		global $post;
		$post_old = $post; 
		extract( $args );
		echo $before_widget;
		echo $before_title;
		if( $instance["title"] ) 
			echo $instance["title"];
		else
		echo 'Latest Comments';
		echo $after_title;
	?>



<?php
  global $wpdb;
  $sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type,comment_author_url, SUBSTRING(comment_content,1,50) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' ORDER BY comment_date_gmt DESC LIMIT 5";

  $comments = $wpdb->get_results($sql);
  $output = $pre_HTML;
  $output .= "\n<ul>";
  foreach ($comments as $comment) {
    $output .= "\n<li><a href=\"" . get_permalink($comment->ID)."#comment-" . $comment->comment_ID . "\" title=\"By ".strip_tags($comment->comment_author) . "\">" . strip_tags($comment->com_excerpt)."</a></li>";
  }
  $output .= "\n</ul>";
  $output .= $post_HTML;
  echo $output;
?>
    
	<?php
		echo $after_widget;
		$post = $post_old; 
	}
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
	function form($instance) {
	?>
	<?php
		}
	}
	add_action( 'widgets_init', create_function('', 'return register_widget("mediafap_latestcomments");') );
	
	    
    
    
// WIDGET: Video Player

class mediafap_vplayer extends WP_Widget {
	function mediafap_vplayer() {
		$widget_ops = array(
			'classname' => 'widget_mediafap_vplayer',
			'description' => 'Display your latest videos complete with latest video player.'
		);
		$this->WP_Widget(
			'mediafap_vplayer',
			'Video Player',
			$widget_ops
		);
	}
	function widget($args, $instance) {
		global $post;
		$post_old = $post; 
		extract( $args );
		if( !$instance["title"] ) {
			$category_info = get_category($instance["cat"]);
			$instance["title"] = $category_info->name;
		}
		echo '<div class="widget_video">';
		echo $before_title;
		if (isset( $instance["title"] )) 
			echo '<h4 class="widget_video_title">' . $instance["title"] . '</h4>';
		else
		echo '<h4 class="widget_video_title">Videos</h4>';
		echo $after_title;
	?>
	<?php $loop = new WP_Query("post_type=Videos&showposts=1&offset=0"); ?>
    <?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
    	<?php if ( get_post_meta($post->ID, 'mediafap_embed_youtube', true) ) { ?> 
    		<center>
    			<iframe width="280" height="230" src="http://www.youtube.com/embed/<?php echo get_post_meta($post->ID, "mediafap_embed_youtube", true); ?>" frameborder="0" allowfullscreen></iframe>
    		</center>
    	<?php } else { ?>
        	<?php if ( get_post_meta($post->ID, 'mediafap_embed_vimeo', true) ) { ?> 
    			<center>
                <iframe src="//player.vimeo.com/video/<?php echo get_post_meta($post->ID, "mediafap_embed_vimeo", true); ?>?title=0&amp;byline=0&amp;portrait=0" width="280" height="230" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
    			</center>
    		<?php } else { ?>
    		<?php } ?>
    	<?php } ?>
    <?php endwhile; ?>
    <div class="widget_video_lower">
    		<?php $loop = new WP_Query("post_type=Videos&showposts=25&offset=0"); ?>
    <?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
<a href="<?php the_permalink(); ?>">
<?php the_post_thumbnail( 'img_60', array( 'class' => 'img_60', 'title' => '' ) ); ?>
<b><?php the_title(); ?></b>
</a>
<div class="clearborder"></div>

    <?php endwhile; ?>
    </div>
	<?php
		echo $after_widget;
		$post = $post_old; 
	}
	function update($new_instance, $old_instance) {
		return $new_instance;
	}
	function form($instance) {
	?>
	<p>
		<label for="<?php echo $this->get_field_id("title"); ?>">
			<?php _e( 'Title:', 'mediafap' ); ?>
			<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
		</label>
	</p>
	<p><?php _e( 'Give this widget a title, or leave blank to display the category name.', 'mediafap'); ?></p>
	<hr />
	<?php
		}
	}
	add_action( 'widgets_init', create_function('', 'return register_widget("mediafap_vplayer");') );
?>